Show / Hide Table of Contents

# Struct AddonRequest

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonRequest

### Fields

| Improve this Doc View Source

#### AtkCollisionNode220

##### Declaration

    public AtkCollisionNode*AtkCollisionNode220

##### Field Value

Type | Description
--- | ---
AtkCollisionNode* |

| Improve this Doc View Source

#### AtkComponentDragDrop250

##### Declaration

    public AtkComponentDragDrop*AtkComponentDragDrop250

##### Field Value

Type | Description
--- | ---
AtkComponentDragDrop* |

| Improve this Doc View Source

#### AtkComponentDragDrop258

##### Declaration

    public AtkComponentDragDrop*AtkComponentDragDrop258

##### Field Value

Type | Description
--- | ---
AtkComponentDragDrop* |

| Improve this Doc View Source

#### AtkComponentDragDrop260

##### Declaration

    public AtkComponentDragDrop*AtkComponentDragDrop260

##### Field Value

Type | Description
--- | ---
AtkComponentDragDrop* |

| Improve this Doc View Source

#### AtkComponentDragDrop268

##### Declaration

    public AtkComponentDragDrop*AtkComponentDragDrop268

##### Field Value

Type | Description
--- | ---
AtkComponentDragDrop* |

| Improve this Doc View Source

#### AtkComponentDragDrop270

##### Declaration

    public AtkComponentDragDrop*AtkComponentDragDrop270

##### Field Value

Type | Description
--- | ---
AtkComponentDragDrop* |

| Improve this Doc View Source

#### AtkComponentDragDrop2B0

##### Declaration

    public AtkComponentDragDrop*AtkComponentDragDrop2B0

##### Field Value

Type | Description
--- | ---
AtkComponentDragDrop* |

| Improve this Doc View Source

#### AtkComponentDragDrop2B8

##### Declaration

    public AtkComponentDragDrop*AtkComponentDragDrop2B8

##### Field Value

Type | Description
--- | ---
AtkComponentDragDrop* |

| Improve this Doc View Source

#### AtkComponentDragDrop2C0

##### Declaration

    public AtkComponentDragDrop*AtkComponentDragDrop2C0

##### Field Value

Type | Description
--- | ---
AtkComponentDragDrop* |

| Improve this Doc View Source

#### AtkComponentDragDrop2C8

##### Declaration

    public AtkComponentDragDrop*AtkComponentDragDrop2C8

##### Field Value

Type | Description
--- | ---
AtkComponentDragDrop* |

| Improve this Doc View Source

#### AtkComponentDragDrop2D0

##### Declaration

    public AtkComponentDragDrop*AtkComponentDragDrop2D0

##### Field Value

Type | Description
--- | ---
AtkComponentDragDrop* |

| Improve this Doc View Source

#### AtkComponentIcon228

##### Declaration

    public AtkComponentIcon*AtkComponentIcon228

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### AtkComponentIcon230

##### Declaration

    public AtkComponentIcon*AtkComponentIcon230

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### AtkComponentIcon238

##### Declaration

    public AtkComponentIcon*AtkComponentIcon238

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### AtkComponentIcon240

##### Declaration

    public AtkComponentIcon*AtkComponentIcon240

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### AtkComponentIcon248

##### Declaration

    public AtkComponentIcon*AtkComponentIcon248

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### AtkComponentIcon288

##### Declaration

    public AtkComponentIcon*AtkComponentIcon288

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### AtkComponentIcon290

##### Declaration

    public AtkComponentIcon*AtkComponentIcon290

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### AtkComponentIcon298

##### Declaration

    public AtkComponentIcon*AtkComponentIcon298

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### AtkComponentIcon2A0

##### Declaration

    public AtkComponentIcon*AtkComponentIcon2A0

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### AtkComponentIcon2A8

##### Declaration

    public AtkComponentIcon*AtkComponentIcon2A8

##### Field Value

Type | Description
--- | ---
AtkComponentIcon* |

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### CancelButton

##### Declaration

    public AtkComponentButton*CancelButton

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |

| Improve this Doc View Source

#### HandOverButton

##### Declaration

    public AtkComponentButton*HandOverButton

##### Field Value

Type | Description
--- | ---
AtkComponentButton* |